For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
        • GETList
        • POSTCreate
LogoLogo
Sign upLog in
API ReferenceOrganizationsLandscapes

Create

POST
https://api.icepanel.io/v1/organizations/:organizationId/landscapes
POST
/v1/organizations/:organizationId/landscapes
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.landscapes.create("organizationId", {
8 name: "string",
9 });
10}
11main();
1{
2 "landscape": {
3 "name": "string",
4 "scheduledVersions": true,
5 "organizationId": "string",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "createdBy": "user",
8 "createdById": "string",
9 "id": "string",
10 "updatedAt": "2024-01-15T09:30:00Z",
11 "updatedBy": "user",
12 "updatedById": "string"
13 },
14 "version": {
15 "modelHandleId": "string",
16 "name": "string",
17 "notes": "string",
18 "createdAt": "2024-01-15T09:30:00Z",
19 "createdBy": "user",
20 "createdById": "string",
21 "diagramHandleIds": [
22 "string"
23 ],
24 "id": "string",
25 "landscapeId": "string",
26 "tags": [
27 "string"
28 ],
29 "updatedAt": "2024-01-15T09:30:00Z",
30 "updatedBy": "user",
31 "updatedById": "string",
32 "completedAt": "2024-01-15T09:30:00Z"
33 }
34}
Was this page helpful?
Previous

List

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

organizationIdstringRequired

Request

This endpoint expects an object.
namestringRequired
scheduledVersionsbooleanOptional
templateIdstringOptional

Response

OK
landscapeobject
versionobject

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error